
void _efl_loop_model_volatile_make(Eo *obj, void *pd);

EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_loop_model_volatile_make);

void _efl_loop_model_efl_object_invalidate(Eo *obj, void *pd);


Eina_Future *_efl_loop_model_efl_model_property_ready_get(Eo *obj, void *pd, const char *property);


Eina_Future *_efl_loop_model_efl_model_property_set(Eo *obj, void *pd, const char *property, Eina_Value *value);


Eina_Value *_efl_loop_model_efl_model_property_get(const Eo *obj, void *pd, const char *property);


Eina_Future *_efl_loop_model_efl_model_children_index_get(Eo *obj, void *pd, Eina_Iterator *indices);


static Eina_Bool
_efl_loop_model_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_LOOP_MODEL_EXTRA_OPS
#define EFL_LOOP_MODEL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_loop_model_volatile_make, _efl_loop_model_volatile_make),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_loop_model_efl_object_invalidate),
      EFL_OBJECT_OP_FUNC(efl_model_property_ready_get, _efl_loop_model_efl_model_property_ready_get),
      EFL_OBJECT_OP_FUNC(efl_model_property_set, _efl_loop_model_efl_model_property_set),
      EFL_OBJECT_OP_FUNC(efl_model_property_get, _efl_loop_model_efl_model_property_get),
      EFL_OBJECT_OP_FUNC(efl_model_children_index_get, _efl_loop_model_efl_model_children_index_get),
      EFL_LOOP_MODEL_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_loop_model_class_desc = {
   EO_VERSION,
   "Efl.Loop_Model",
   EFL_CLASS_TYPE_REGULAR_NO_INSTANT,
   0,
   _efl_loop_model_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_loop_model_class_get, &_efl_loop_model_class_desc, EFL_LOOP_CONSUMER_CLASS, EFL_MODEL_INTERFACE, NULL);
